	INCLUDE EFR32MG12.inc		; CPU register definitions
	EXPORT	main
	IMPORT	GPIO_setup		; import names from other code files
	IMPORT	CRYOTIMER_setup		

RED_LED		EQU	8
GREEN_LED	EQU	9
	
;-------------------------------------	; CODE segment in flash (ROM)
	AREA    |.text|, CODE, READONLY
main	PROC				; main user code
	bl	GPIO_setup
	bl	CRYOTIMER_setup		; setup 1-sec timer for periodic events

loop
	PUTW	1<<RED_LED, GPIO_PD_DOUTTGL, GPIO	; toggle LED
	
L1	
	GETW	CRYOTIMER_IF, CRYOTIMER	; R1 = flags
	cmp	R1, #0			; wait for flag set
	beq	L1
	PUTW	1, CRYOTIMER_IFC	; clear flag
	
	bne	loop			; loop back		
	
	ENDP

;-------------------------------------
	ALIGN
	END
	